@font-face {
  font-family: "CN Font";
  src: url("../font/cnfont.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

:root {
  color-scheme: light only;
  --black: #0f0c25;
  --grey: #707070;
  --white: #f3f3f3;
  --active: #982020;
  --highlight: #604a36;
  --font: "Noto Sans SC", sans-serif;
  --font2: "Noto Serif SC", serif;
  --tltfont: "CN Font", sans-serif;

  --bdr_s: 5px;
  --navheight: 70px;
  --txt_l: 24px;
  --txt_body: 16px;
}

@media only screen and (max-width: 768px) {
  :root {
    --navheight: 65px;
    --txt_l: 20px;
    --txt_body: 14px;
  } 
}
/*---------------------------------------
   Animation
-----------------------------------------*/
@keyframes fadein{
	from {opacity: 0;}
    to {opacity: 1;}
}
@keyframes fadein_top{
	from {transform: translateY(300px); opacity: 0;}
    to {transform: translateY(0); opacity: 1;}
}
@keyframes fadein_bottom{
	from {transform: translateY(-300px); opacity: 0;}
    to {transform: translateY(0); opacity: 1;}
}
@keyframes fadein_left{
	from {transform: translateX(-500px); opacity: 0;}
    to {transform: translateX(0); opacity: 1;}
}
@keyframes fadein_right{
	from {transform: translateX(500px); opacity: 0;}
    to {transform: translateX(0); opacity: 1;}
}
@keyframes popin{
  0% {transform: scale(2); opacity: 0;}
  100% {transform: scale(1); opacity: 1;}
}
@keyframes popout{
  0% {transform: scale(0); opacity: 0;}
  100% {transform: scale(1); opacity: 1;}
}
@keyframes rotate{
  0% {transform: rotate(0deg);}
  100% {transform: rotate(360deg);}
}
@keyframes toleft{
  0% {transform: translateX(0);}
  100% {transform: translateX(-3000px);}
}
@keyframes float{
  0% {transform: translateY(0);}
  100% {transform: translateY(-15px);}
}


/*---------------------------------------
   Normalize    
-----------------------------------------*/
body{
  position: relative;
  width: 100%;
  margin: 0px;
  padding: 0px;
  color: var(--black);
  font-size:  var(--txt_s);
  font-family: var(--font);
  font-weight: 500;
  text-wrap: pretty;
  min-height: 100vh;
  min-height: 100svh;
  min-height: 100dvh;
  background: var(--black);
  background: #0e0e0e;
}
body.no-scroll {
  overflow: hidden;
}

.maincontainer{
  width: 100%;
  max-width: 1400px;
}

p, li {
  font-size: var(--txt_body);
  line-height: calc(var(--txt_body) + 5px);
  font-weight: 400;
}

b {
  font-size: var(--txt_body);
  line-height: calc(var(--txt_body) + 6px);
}

ol{
  padding-left: 18px;
}

hr{
  width: 100%;
}

button, a{
  pointer-events: all;
  cursor: pointer;
}

.divider.verti{
  margin: 0;
  width: 0;
  height: 100px;
  border-left: 1.5px solid white;
}

input:not(.checkbox) {
  font-size: var(--txt_body);
  width: 100%;
  min-height: 48px;
  padding: 0 14px;
  border-radius: var(--bdr_s);
  border: 1px solid rgba(243, 196, 107, .2);
  background: white;
  outline: none;
}

.logo{
  width: 176px;
  max-width: 10vw;
  aspect-ratio: 176 / 150;
  background: url(../img/logo.png) top center no-repeat;
  background-size: contain;
  transition: all .35s;
}

.scrolled .logo{
  height: 70px;
}

@media screen and (max-width: 768px) {
  .maincontainer{
    padding-bottom: 200px;
  }
  .draggable-scroll{
    cursor: grab;
  }
  .logo{
    max-width: 15vw;
    z-index: 9999;
  }
}

.helper{
  font-size: small;
  color: var(--grey);
}

/*---------------------------------------
   Font
-----------------------------------------*/
h2{
  font-family: var(--font);
  font-weight: 500;
  font-size: var(--txt_l);
  color: #fbf7e8;
}
.note{
  color: var(--highlight);
  font-weight: 500;
}

.txt_end{
  text-align: end;
}
.txt_smtlt{
  font-size: calc(var(--txt_body) + 2px);
  font-weight: 600;
}
.title{
  position: relative;
  width: fit-content;
  height: fit-content;
  overflow: visible;
}
.title img{
  position: relative;
  z-index: 5;
}

.divider{
  border-bottom: 1px dotted var(--highlight);
}

label{
  font-size: 14px;
  margin-bottom: 5px;
}
table{
  width: 99.5%;
  border-spacing: 1px;
  color: #3c414a;
  margin: 1rem auto 1.5rem;
}
table tr:first-child td{
  padding: .8rem .5rem;
  background-color: var(--highlight);
  text-align: center;
  font-weight: 400;
  color: #fbf7e8;
}
table tr:nth-child(odd) {
  background-color: rgba(108,148,188,.35);
}
table tr:nth-child(even) {
  background-color: rgba(137,167,200,.35);
}
table td {
  font-size: 14px;
  line-height: 18px;
  border: 1px solid rgba(255, 255, 255, .35);
  word-break: break-all;
  padding: .5rem .5rem;
  /* background-color: rgba(74, 74, 134, .3); */
  text-align: center;
}

/*---------------------------------------
   Scroll Effect       
-----------------------------------------*/
/* ::-webkit-scrollbar {
  width: 6px;
  height: 3.5px;
}
::-webkit-scrollbar-track {
  opacity: 0;
}
::-webkit-scrollbar-thumb {
  background: rgba(67, 169, 233, 0.7);
  border-radius: 6px;
}
::-webkit-scrollbar-thumb:hover {
  background: #45adee;
}

body.modal-open {
  overflow-y: scroll; 
} */

/*---------------------------------------
   Spark Effect
-----------------------------------------*/
#fire {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0; 
  bottom: 0;
  inset: 0;
  pointer-events: none; 
  z-index: 16;
  mix-blend-mode: color-dodge;
  opacity: .15;
}

.spark {
position: absolute;
bottom: -12vh;
left: var(--x, 50%);
width: var(--size, 10px);
height: var(--size, 10px);
border-radius: 50%;
background: radial-gradient(circle at 50% 40%, 
            hsl(var(--h, 35) 100% 70%) 0%,
            hsl(calc(var(--h, 35) - 15) 100% 50%) 45%,
            rgba(255, 120, 0, .0) 70%);
/* filter: blur(.3px);
mix-blend-mode: color-dodge;  */
opacity: var(--alpha, .9);
transform: translate3d(0,0,0) scale(var(--scale, 1));
animation: rise var(--dur, 10s) linear var(--delay, 0s) infinite, 
           flicker calc(var(--dur, 10s) * .2) ease-in-out var(--delay, 0s) infinite;
}

.ember {
background: radial-gradient(circle at 50% 45%,
hsl(var(--h, 28) 90% 65% / .85) 0%,
hsl(calc(var(--h, 28) - 10) 100% 45% / .85) 42%,
transparent 70%);
opacity: var(--alpha, .7);
/* filter: blur(.6px); */
animation: float var(--dur, 12s) linear var(--delay, 0s) infinite,
           flicker calc(var(--dur, 12s) * .25) ease-in-out var(--delay, 0s) infinite;
}

@keyframes rise {
  0% { transform: translate3d(0, 0, 0) scale(var(--scale,1)); opacity: 0; }
  8% { opacity: 1; }
  100% { transform: translate3d(var(--dx, 0vw), -112vh, 0) scale(calc(var(--scale,1) * .7)); opacity: 0; }
}
@keyframes float {
  0% { transform: translate3d(0, 0, 0) scale(var(--scale,1)); opacity: 0; }
  10% { opacity: .9; }
  100% { transform: translate3d(var(--dx, 0vw), -120vh, 0) scale(calc(var(--scale,1) * .85)); opacity: 0; }
}
@keyframes flicker {
  0%,100% { filter: brightness(1); }
  50% { filter: brightness(1.35); }
}

/*---------------------------------------
   NAVBAR
-----------------------------------------*/
.navigation{
  position: relative;
  padding: .75vw 2%;
  top: 0;
  position: fixed;
  z-index: 9999;
  max-width: 1920px;
  justify-self: center;
  color: var(--black);
  transition: color .35s;
}
.navigation.nav-white {
  color: white;
  transition: color .35s;
}
.navigation.nav-white.scrolled::before {
  filter: unset;
  opacity: 1;
}

.navigation.scrolled{
  background: linear-gradient(to bottom, rgba(0,0,0,.25), rgba(0,0,0,0));
}
.nav_wrapper{
  position: absolute;
  width: 100%;
  right: 2.5vw;
  top: 2vw;
}
section:not(#KV) .nav_wrapper, .navigation:not(.nav-white) .nav_wrapper{
  filter: invert(1) saturate(0);
}
.nav_link{
  font-family: var(--tltfont);
  font-size: 1.15vw;
  font-weight: 500;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 0;
  gap: 0;
}
.nav_link span{
  font-size: .85vw;
  text-transform: uppercase;
  margin-top: -5px;
}
.nav_link:hover, .nav_link.active{
  color: var(--active);
}

.nav_wrapper a:hover{
  filter: brightness(1.15);
  transform: scale(.9);
  transition: transform .35s;
}

@media only screen and (max-width: 768px) {
  .navigation{
    padding: 2vw 2%;
  }
  .nav_wrapper {
    top: 5vw;
  }
}

/*---------------------------------------
  MODAL
-----------------------------------------*/
.modal{
  width: 100vw;
  height: 100vh;
  display: none;
  position: fixed;
  background: rgba(0, 0, 0, .75);
  z-index: 99999;
}

.modal.active{
  display: flex;
}

.popup_wrapper{
  position: relative;
  width: 650px;
  max-width: 90vw;
  background: url(../img/milestone/bg.png) right no-repeat;
  background-size: cover;
  animation: fadein_top .5s forwards;
  /* overflow: hidden; */
}

#captchaModal .popup_wrapper{
  max-width: 300px;
}

.popup_container{
  position: relative;
  width: 100%;
  height: fit-content;
  max-height: 70vh;
  overflow-y: scroll;
  padding: 25px 20px;
  padding-top: 0;
  color: var(--black);
}
.popup_container::-webkit-scrollbar {
  width: 3px;
  height: 3.5px;
}
.popup_container::-webkit-scrollbar-track {
  opacity: 0;
}
.popup_container::-webkit-scrollbar-thumb {
  background: var(--highlight);
  border-radius: 6px;
}
.popup_container::-webkit-scrollbar-thumb:hover {
  background: var(--highlight);
}
.popup_header{
  /* background: rgb(149 66 66); 
  color: var(--white);*/
  padding: 15px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.popup_header *{
  z-index: 10;
  color: var(--black);
  font-family: var(--tltfont);
}

.popup_wrapper h5{
  font-family: var(--font);
  padding: 5px 15px;
  color: white;
  background: var(--highlight);
}
.popup_wrapper b{
  font-size: calc(var(--txt_body) + 5px);
  line-height: calc(var(--txt_body) + 8px);
  margin-bottom: 5px;
}
.popup_wrapper p, .popup_wrapper b{
  font-family: var(--font);
}

.txt_checkbox{
  font-size: 14px; 
  color: var(--highlight); 
  margin:0;
  font-weight: 500;
}
.txt_checkbox span{
  font-size: 14px; 
  color: var(--highlight); 
  cursor: pointer;
}
.txt_checkbox span:hover{
  color: var(--active); 
}

.tab_regis{
  width: 100%;
  position: relative;
  height: fit-content;
  padding-bottom: 10px;
  color: var(--black);
  font-weight: 600;
  font-size: var(--txt_l);
}

.tab_regis:hover, .tab_regis.active{
  color: var(--highlight);
}
.tab_regis.active::after{
  content: "";
  position: absolute;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
  display: block;
  width: 25px;
  height: 2px;
  background: var(--highlight);
}
.g-recaptcha {
  transform: scale(0.7);
  transform-origin: center;
}
#regisForm .g-recaptcha {
  transform-origin: left center;
}

.regisBtn_wrapper{
  padding-bottom: 15px;
}

@media only screen and (max-width: 768px) {
  .regisBtn_wrapper{
    flex-direction: column;
  }
  .g-recaptcha {
    transform-origin: center !important;
  } 
}

/* Overlay */
.videoModal {
  position: fixed;
  inset: 0;
  display: none;
  align-items: center;
  justify-content: center;
  background: rgba(0, 0, 0, 0.8);
  z-index: 9999;
  padding: 24px;
}
.videoModal.is-open { display: flex; }

/* Dialog */
.videoModal_dialog {
  width: min(100%, 960px);
  filter: drop-shadow( 0 4px 8px rgba(0, 0, 0, 0.5));
  position: relative;
}

.btn_closeVideo.btn_close, .btn_closePopup.btn_close{
  top: -80px !important;
  left: 50%;
  transform: scale(1) translateX(-50%) !important;
}

.videoModal_wrapper {
  aspect-ratio: 16 / 9;
  width: 100%;
  height: 70vh;
  margin: auto;
  background: #000;
  border-radius: 15px;
  overflow: hidden;
}
.videoModal_wrapper > * {
  width: 100%;
  height: 100%;
  display: block;
  border: 0;
  object-fit: contain;
  background: #000;
}

/*---------------------------------------
   Button
-----------------------------------------*/
.btn{
  all: unset;
}

.btn_home, .btn_fb, .btn_lang{
  width: 35px;
  height: 35px;
  min-width: 25px;
  max-width: 3vw;
  aspect-ratio: 1/1;
  background: url(../img/button/btn_close.png) center no-repeat;
  background-size: contain;
}
.btn_home{
  background: url(../img/button/btn_home.png) center no-repeat;
  background-size: contain;
}
.btn_fb{
  background: url(../img/button/btn_fb.png) center no-repeat;
  background-size: contain;
}
.btn_lang{
  background: url(../img/button/btn_lang.png) center no-repeat;
  background-size: contain;
}

.btn_cta{
  color: white;
  white-space: nowrap;
  font-size: 20px;
  height:  48px;
  padding: 10px 30px;
  border-radius: var(--bdr_s);
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--highlight);
}
.btn_cta:hover{
  background: var(--active);
}
.btn_close{
  width: 25px;
  height: 25px;
  aspect-ratio: 1/1;
  background: url(../img/button/btn_close.png) center no-repeat;
  background-size: contain;
  filter: brightness(0);
}
.btn_close:hover{
  transform: rotate(180deg);
  transition: transform .35s;
}

.btn_dl{
  position: relative;
  width: 193px;
  max-width: 11vw;
  aspect-ratio: 193 / 56;
  border-radius: 5px;
  overflow: hidden;
}
.slogan::after, .shine::after{
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(110deg, rgba(0,0,0,0), rgba(255, 255, 255, .5), rgba(0,0,0,0));
  translate: -120% 0;
  animation: shine 6s infinite;
}

@keyframes shine{
  0%, 45% {translate: -120% 0;}
  65%, 100% {translate: 120% 0;}
}
@keyframes popping{
  0% {transform: scale(1)}
  100% { transform: scale(.93)}
}
@keyframes poppingcenter{
  0% {transform: translate(-50%, -50%) scale(1)}
  100% { transform: translate(-50%, -50%) scale(.98)}
}

.btn_rule{
  position: fixed;
  right: 0;
  top: 60%;
  z-index: 99;
  width: 47px;
  max-width: 2.8vw;
  aspect-ratio: 47 / 101;
  background: url(../img/button/btn_rule.png) no-repeat;
  background-size: contain;
  filter: drop-shadow(0 0 6px rgba(0,0,0,.5));
}
.btn_rule:hover{
  filter: brightness(1.15) drop-shadow(0 0 6px rgba(0,0,0,.5));
}

@media only screen and (max-width: 768px) {
  .btn_home, .btn_fb, .btn_lang{
    min-width: 30px;
    max-width: 6vw;
  }
  .btn_dl{
    max-width: 28vw;
  }
  .btn_rule{
    max-width: 8vw;
  }
}
/*---------------------------------------
   KV
-----------------------------------------*/
#KV{
  position: relative;
  width: 100vw;
  max-width: 1920px;
  aspect-ratio: 1920 / 970;
  justify-self: center;
  overflow: hidden;
}

.kvbg{
  position: absolute;
  width: 1920px;
  max-width: 100vw;
  height: 100%;
  top: 0;
  left: 0;
  pointer-events: none;
  background: url(../img/bg_kv.jpg) bottom left no-repeat;
  background-size: cover;
  background-attachment: fixed;
}

/* parallax */
.kvbg{
  background: url(../img/bg_kv.jpg) left calc(100% + var(--kv-bg-y, 0px)) no-repeat;
  background-size: cover;
  background-attachment: scroll;
}

.bgvideo{
  display: none;
  position: absolute;
  width: 100%;
  min-width: 100%;
  mix-blend-mode: screen;
  pointer-events: none;
  transform: translate3d(0, var(--kv-bg-y, 0px), 0);
  will-change: transform;
}

.kvbg::before{
  transform: translate3d(0, var(--kv-front-y, 0px), 0);
  will-change: transform;
}

#KV::before, .kvbg::before, .kvbg::after, #event::before{
  content: "";
  position: absolute;
  width: 1920px;
  max-width: 100vw;
  left: 0;
  pointer-events: none;
}
#KV::before, #event::before{
  height: 100%;
  background: url(../img/kv/texture.png) bottom left no-repeat;
  background-size: cover;
  top: 0;
  z-index: 50;
  mix-blend-mode: overlay;
}

@keyframes slidein_top{
	from {bottom: -150px; opacity: 0;}
    to {bottom: 0; opacity: 1;}
}
.kvbg::before{
  aspect-ratio: 1920/542;
  background: url(../img/kv/bg.png) bottom left no-repeat;
  background-size: contain;
  bottom: 0;
  z-index: 15;
  animation: slidein_top 1s backwards .35s;
}
.kvbg::after{
  width: 725px;
  max-width: 35vw;
  aspect-ratio: 725/380;
  top: 0;
  background: url(../img/kv/tree.png) top left no-repeat;
  background-size: contain;
}

.bgvideo{
  position: absolute;
  width: 100%;
  min-width: 100%;
  mix-blend-mode: screen;
  pointer-events: none;
}

.kvwrapper{
  position: absolute;
  width: 1920px;
  max-width: 100vw;
  aspect-ratio: 1920/910;
  top: 0;
  left: 0;
  pointer-events: none;
  padding: 6vw 5vw;
  padding-top: clamp(3vw, 6vw, 90px);
}

.slogan{
  width: 873px;
  max-width: 45vw;
  aspect-ratio: 873/272;
  background: url(../img/kv/slogan.png) center no-repeat;
  background-size: contain;
  animation: popin .35s ease-in-out backwards .5s;
  z-index: 15;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-image: url(../img/kv/slogan.png);
  -webkit-mask-image: url(../img/kv/slogan.png);
}
#en .slogan{
  width: 962px;
  max-width: 40vw;
  aspect-ratio: 962/398;
  background: url(../img/kv/slogan_en.png) center no-repeat;
  background-size: contain;
  mask-image: url(../img/kv/slogan_en.png);
  -webkit-mask-image: url(../img/kv/slogan_en.png);
  margin-top: -2vw;
}


@keyframes popping{
  0% {transform: scale(1);}
  100% {transform: scale(.95);}
}

.btn_register, .btn_download{
  display: block;
  width: 319px;
  height: auto;
  max-width: 16vw;
  aspect-ratio: 319/73;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  animation: fadein .35s ease-in-out backwards .55s;
}
.btn_register{
  background: url(../img/kv/btn_register.png) center no-repeat;
  background-size: contain;
  mask-image: url(../img/kv/btn_register.png);
  -webkit-mask-image: url(../img/kv/btn_register.png);
}

.btn_download{
  background: url(../img/kv/btn_download.png) center no-repeat;
  background-size: contain;
  mask-image: url(../img/kv/btn_download.png);
  -webkit-mask-image: url(../img/kv/btn_download.png);
}

#en .btn_register{
  background: url(../img/kv/btn_register_en.png) center no-repeat;
  background-size: contain;
}

#en .btn_download{
  background: url(../img/kv/btn_download_en.png) center no-repeat;
  background-size: contain;
}


.btn_register:hover, .btn_download:hover{
  transform: scale(.98);
  filter: brightness(1.15);
  transition: transform .15s;
}


.shine::after{
  animation: shine 12s infinite;
}

.btn_scroll{
  position: absolute;
  bottom: 2vw;
  left: 50%;
  transform: translateX(-50%);
  color: white;
  z-index: 15;
  font-family: var(--tltfont);
  font-size: .85vw;
  text-transform: uppercase;
  letter-spacing: 15px;
  white-space: nowrap;
  text-indent: 15px;
  text-align: center;
}
.btn_scroll span{
  width: 27px;
  aspect-ratio: 27 / 20;
  max-width: 2vw;
  background: url(../img/kv/arrow.png) bottom center no-repeat;
  background-size: contain;
  animation: float .5s infinite alternate;
}

.gametag_wrapper{
  position: absolute;
  bottom: 0;
  z-index: 100;
  padding: 2.5vw 3vw;
  pointer-events: none;
}

.gametag_wrapper img{
  width: auto;
  max-height: 3vw;
}

@media only screen and (max-width: 768px) {
  #KV, .kvwrapper{
    aspect-ratio: 780 / 1450;
    padding-top: 30vw;
  }
  .kvbg::before{
    max-width: 200vw;
  }
  .kvbg::after{
    max-width: 50vw;
    aspect-ratio: 725/380;
  }

  .kvbg{
    background-size: cover;
    background: url(../img/bg_kv_m.jpg) center calc(50% + var(--kv-bg-y, 0px)) no-repeat;
  }

  .bgvideo {
    height: 50%;
    max-width: unset;
    width: auto;
    object-position: center;
    justify-self: center;
  }
  .slogan, #en .slogan{
    max-width: 90vw;
    left: 5vw;
    bottom: unset;
    top: 25vw;
  }
  .btn_register, .btn_download{
    max-width: 60vw;
  }
  .btn_scroll{
    bottom: 8vw;
    font-size: 3vw;
  }
  .btn_scroll span{
    max-width: 5vw;
  }
  .gametag_wrapper{
    position: unset;
    justify-content: center;
    padding: 0 10vw 12vw;
    pointer-events: none;
  }
  .gametag_wrapper img{
    width: auto;
    max-height: 10vw;
  }
}

/*---------------------------------------
   Countdown
-----------------------------------------*/
.countdown_wrapper{
  --timeTxtSize: clamp(35px, 5vw, 90px);
  font-family: var(--tltfont) !important;
  position: absolute;
  bottom: 2.5vw;
  right: 2vw;
  color: white;
  animation: fadein 1s ease backwards 1.5s;
  z-index: 50;
}
.countdown_tlt{
  font-size: calc(var(--timeTxtSize) / 5);
  position: relative;
  padding: 2px 25px;
}
body:not(#en) .countdown_tlt{
  letter-spacing: 15px;
  padding: 2px 25px;
}
.countdown_tlt::before, .countdown_tlt::after{
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  height: 14px;
  max-height: 100%;
  aspect-ratio: 1/1;
  background: url(../img/kv/deco.png) left no-repeat;
  background-size: contain;
}
.countdown_tlt::after{
  left: unset;
  right: 0;
}
.countdown_time{
  display: flex;
  align-items: end;
  gap: 5px;
  font-weight: 500;
  width: clamp(50px, 8vw, 150px);
}

.countdown_time h1{
  font-size: var(--timeTxtSize);
  line-height: var(--timeTxtSize);
  font-weight: 500;
}

.countdown_time span{
  font-size: calc(var(--timeTxtSize) / 5);
}

@media only screen and (max-width: 768px) {
  .countdown_wrapper{
    width: 100%;
    padding: 10px 25px;
    --timeTxtSize: clamp(10vw, 10vw, 100px);
    right: unset;
    left: 50%;
    bottom: 8vw;
    transform: translateX(-50%);
  }
  .countdown_time {
    justify-content: center;
    width: fit-content;
  }
  .countdown_tlt {
    font-size: 3vw;
  }
  body:not(#en) .countdown_tlt {
    text-indent: 5px;
    letter-spacing: 5px;
  }
  .countdown_time span {
    font-size: 3vw;
  }
}

/*---------------------------------------
   Section
-----------------------------------------*/
.bg_dark{
  position: relative;
  width: 100vw;
  background: url(../img/bg_kv.jpg)  center no-repeat;
  background-size: cover;
  justify-self: center;
}
.bg_white{
  position: relative;
  width: 100vw;
  background: var(--white);
  background-size: cover;
  justify-self: center;
  overflow: visible;
  height: fit-content;
}

#merch{
  position: relative;
  padding-bottom: 100px;
}

.bg_stroke::before, .bg_stroke::after, .popup_wrapper::before, .popup_wrapper::after, #merch::before{
  content: '';
  position: absolute;
  width: 1920px;
  max-width: 100%;
  height: 53px;
  background: url(../img/milestone/bg_top.png) bottom left no-repeat;
  z-index: 50;
}
.bg_stroke::before, .popup_wrapper::before{
  bottom: 99%;
}
.bg_stroke::after, .popup_wrapper::after{
  transform: rotate(180deg) scaleX(-1);
  top: 99%;
}

#merch::before{
  background: #050505;
  left: 0;
  bottom: 0;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: bottom left;
  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: bottom left;
  mask-image: url(../img/milestone/bg_top.png);
  -webkit-mask-image: url(../img/milestone/bg_top.png);
}

.bg_dark p{
  color: white;
  font-family: var(--tltfont);
  font-size: 15px;
}
.rsp_mobile{
  max-width: 1920px;
  /* aspect-ratio:  1920/910; */
  height: fit-content;
  padding: 1.5vw 0 2.5vw;
}
@media only screen and (max-width: 768px) {
  .rsp_mobile{
    max-width: 100vw;
    height: fit-content;
    aspect-ratio: unset;
    padding: 5vw 0;
  }
}

/*---------------------------------------
   Milestone
-----------------------------------------*/
.milestonewrapper{
  position: relative;
  width: 100%;
  height: 100%;
  background: url(../img/milestone/bg.png) top no-repeat;
  background-size: cover;
  background-attachment: fixed;
  padding: 0 5vw;
  gap: 25px;
}
.milestonewrapper::after, .popup_container::before{
  content: '';
  position: absolute;
  width: 100%;
  height: 30%;
  bottom: 0;
  left: 0;
  background: linear-gradient(to top, var(--white), rgba(0,0,0,0));
}
.milestonewrapper::before, .popup_header::before{
  content: '';
  position: absolute;
  width: 100%;
  height: 30%;
  top: 0;  
  left: 0;
  background: linear-gradient(to bottom, var(--white), rgba(0,0,0,0));
}

.popup_container::before, .popup_header::before{
  z-index: -1;
}

.milestonewrapper .title img{
  max-width: 32vw;
}

.milestone_statuswrapper{
  position: relative;
  z-index: 99;
}
.milestone_img{
  --imgW: 23vw;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 447px;
  max-width: var(--imgW);
  aspect-ratio: 447/441;
  filter: drop-shadow(3px 3px 3px rgba(0,0,0,.35));
}
.milestone_img::before {
  content: "";
  width: 100%;
  max-width: var(--imgW);
  aspect-ratio: 447/441;
  position: absolute;
  transform: translateX(-5%) rotate(-8deg);
  background: url(../img/milestone/pic_bg.png) top no-repeat;
  background-size: contain;
  z-index: -5;
  filter: brightness(.95) saturate(1.5);
}
.milestone_img img{
  position: absolute;
  padding: 5%;
  width: 100%;
  max-width: var(--imgW);
  aspect-ratio: 447/441;
  background: url(../img/milestone/pic_bg.png) top no-repeat;
  background-size: contain;
  border-radius: 5px;
  filter: drop-shadow(3px 3px 3px rgba(0,0,0,.35));
  z-index: -1;
}

.copy-code{
  width: 80%;
  text-align: center;
  padding: .5vw 2vw;
  background: linear-gradient(110deg, rgba(0, 0, 0, 0), rgb(169 169 169 / 50%), rgba(0, 0, 0, 0));
  font-family: 'Courier New', Courier, monospace;
}
.copy-code.copyable{
  cursor: pointer;
}
.copy-code.copyable:hover{
  filter: brightness(1.2);
}
.copy-code.copied{
  background: linear-gradient(110deg, rgba(0,0,0,0), rgba(255, 181, 184, 0.65), rgba(0,0,0,0));
}

.reward_code{
  font-size: 1vw;
  color: rgb(255, 255, 255);
  text-shadow: 0 0 3px rgba(0,0,0,.75);
}
.registerCode{
  font-size: 24px;
  font-family: 'Courier New', Courier, monospace;
}

.milestone_status{
  position: absolute;
  bottom: -5%;
  left: 50%;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 496px;
  max-width: 25vw;
  aspect-ratio: 496/82;
  background: url(../img/milestone/tape.png) top no-repeat;
  background-size: contain;
  font-family: var(--tltfont);
  color: var(--white);
  font-size: clamp(12px, 1.5vw, 30px);
  padding: 5px 5%;
  gap: 5px;
  transform: translate(-50%) rotate(-2deg);
}
.milestone_status h1{
  --statS: 2vw;
  font-size: var(--statS);
  line-height: calc(var(--statS) + 2px);
  margin-bottom: 5px;
}

.milestone_section{
  width: 1200px;
  max-width: 50vw;
  margin:0 auto;
  padding: 2vw 20px;
  color:#fff;
  text-align:center;
}

.event_time span{
  padding:6px 14px;
  border:1px solid rgba(80,180,255,.7);
  background:linear-gradient(90deg,#1d62ff,#37c7ff);
  border-radius:3px;
  font-size:12px;
  font-weight:700;
  text-align: center;
  color:#dcecff;
}

.milestone_track{
  width: 100%;
  position:relative;
  display:grid;
  grid-template-columns:repeat(5,1fr);
  gap: 0.5vw;
}

.track_line {
  position: absolute;
  top: 8.95vw;
  left: 9%;
  right: 9%;
  height: .165vw;
  background: #b6b6b6;
  z-index: 0;
  border-radius: 999px;
  overflow: hidden;
}

.track_line::before {
  content: "";
  position: absolute;
  inset: 0;
  width: var(--progress);
  background: linear-gradient(90deg, #ff676f, #471010);
  border-radius: 999px;
  box-shadow: 0 0 12px rgba(255, 103, 111, .8);
  transition: width .8s ease;
}

.milestone_item{
  position:relative;
  z-index:1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 20vw;
  filter: saturate(0);
}

.milestone_item.done{
  filter: unset;
  cursor:pointer;
}

.milestone_item.active .reward_card{
  transform:translateY(-8px) scale(1.05) rotate(5deg);
  filter:drop-shadow(0 10px 15px rgba(160, 84, 84, 0.45));
}

.diamond{
  width: .5vw;
  height: .5vw;
  max-width: 10px;
  max-height: 10px;
  margin: 1vw auto 0;
  background: linear-gradient(to top, #ff676f, #471010);
  border-radius: 50px;
}

.milestone_item h3{
  margin:0;
  font-family: var(--tltfont);
  font-size:34px;
  font-weight:900;
  color:#000000 !important;
  margin-bottom:  10px;
}

.milestone_item.done h3{
  color:#911919 !important;
}

.milestone_item p{
  margin:3px 0 16px;
  font-size:11px;
  font-weight:700;
  color:#cfe7ff;
  letter-spacing:.5px;
}

.reward_card{
  position:relative;
  width: 150px;
  max-width: 8vw;
  aspect-ratio: 1/1;
  display:flex;
  flex-direction:column;
  align-items:center;
  justify-content:center;
  background: url(../img/milestone/reward.png) top no-repeat;
  background-size: contain;
  overflow: hidden;
  transition: transform .25s;
  filter: drop-shadow(3px 3px 3px rgba(0,0,0,.5));
}

.reward_card:hover{
  transform: scale(.98) rotate(5deg);
}

.reward_card::before {
  content: "未解鎖";
  position: absolute;
  left: 50%;
  top: 40%;
  transform: translate(-50%, -50%);
  transform: translateX(-50%) rotate(-25deg);
  font-family: var(--tltfont);
  font-size: 1.15vw;
  z-index: 50;
}
#en .reward_card::before {
  content: "Locked";
  position: absolute;
  left: 50%;
  top: 40%;
  transform: translate(-50%, -50%);
  transform: translateX(-50%) rotate(-25deg);
  font-family: var(--tltfont);
  font-size: 1.15vw;
  z-index: 50;
}

.done .reward_card::before{
  display: none;
}

.reward_card img{
  display: none;
  position: absolute;
  width: 90%;
  height: 90%;
  border-radius: 5px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background: #7e7e7e;
  object-fit: cover;
  object-position: center;
  align-self: center;
  justify-self: center;
}

.milestone_item.done .reward_card img{
  display: flex;
}

@media only screen and (max-width: 768px) {
  .milestonewrapper {
    flex-direction: column;
    gap: 0;
    padding-top: 63px;
  }
  .milestone_img {
    --imgW: 60vw;
  }
  .reward_code{
    font-size: 5vw;
  }
  .milestone_status{
    max-width: 70vw;
    font-size: 5vw;
  }
  .milestone_status h1 {
    --statS: 6vw;
  }
  .milestonewrapper .title img {
    max-width: 70vw;
  }
  .milestone_section{
    max-width: 90vw;
  }
  .reward_card {
    max-width: 15vw;
  }
  .track_line {
    top: 17vw;
    height: .5vw;
  }
  .diamond{
    width: 2vw;
    height: 2vw;
  }
  .milestone_item h3 {
    font-size: 5vw;
  }
  .reward_card::before {
    font-size: 2.25vw;
  }
  #en .reward_card::before {
    font-size: 2.5vw;
  }
}

/*---------------------------------------
   Slider
-----------------------------------------*/
#event{
  position: relative;
  padding: 0;
  height: fit-content;
}

#event::after{
  content: '';
  position: absolute;
  width: 100%;
  height: 50%;
  left: 0;
  bottom: 0;
  background: linear-gradient(to top, rgba(0,0,0.75), rgba(0,0,0,0));
  z-index: 25;
  pointer-events: none;
}

#event .title{
  position: absolute; 
  z-index: 50; 
  bottom: 5%; 
  left: 2%;
  width: 100%;
  max-width: 80vw;
  color: white;
  font-family: var(--tltfont);
  font-weight: 400;
  font-size: 2.5vw;
  pointer-events: none;
  z-index: 50; 
}
#event .title::before{
  content: "";
  position: absolute; 
  width: 100%;
  height: 150px;
  background: url(../img/firework.gif) left center no-repeat;
  background-size: contain;
  bottom: 5%; 
  left: 2%;
  mix-blend-mode: screen;
  pointer-events: none;
}
#event .title img{
  max-width: 100%;
}

.slider_section {
  width: 100%;
  min-height: 100%;
  display: flex;
  align-items: center;
  overflow: hidden;
}

.row_swiper {
  width: 100%;
  overflow: visible;
}

.swiper-wrapper {
  align-items: stretch;
}

.swiper-slide {
  height: clamp(500px, 80vh, 700px);
  /* aspect-ratio: 3/4; */
  margin: 0 !important;
  overflow: hidden;
  background: #1a1a1a;
  position: relative;
  cursor: grab;
}

.swiper-slide:active {
  cursor: grabbing;
}

.slide_card {
  position: relative;
  width: 100%;
  height: 100%;
  padding: 28px;
  display: flex;
  align-items: flex-start;
  padding-top: 20%;
  justify-content: flex-start;
  background: linear-gradient(180deg, #333, #111);
}

.slide_card::before {
  opacity: 0;
  content: "";
  position: absolute;
  width: 22%;
  height: 100%;
  top: 0;
  left: -22%;
  background: linear-gradient(to bottom, rgba(126, 11, 11, 0.856), rgba(0, 0, 0, 0));
  backdrop-filter: blur(6px);
  z-index: 1;
  transition: all .35s;
}

.slide_card img{
  position: absolute;
  width: 100%;
  height: 100%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  object-fit: cover;
  object-position: center;
  justify-self: center;
  transition: transform .35s;
  filter: saturate(0.05);
}

.slide_card h2 {
  opacity: 0;
  --txtS: var(--txt_l);
  font-size: var(--txtS);
  letter-spacing: 5px;
  text-transform: uppercase;
  writing-mode: vertical-rl;
  font-family: var(--tltfont);
  z-index: 10;
  transition: opacity 1s;
}
.slide_card h2 span {
  --txtS: calc(var(--txt_l) + 15px);
  font-size: var(--txtS);
  letter-spacing: 5px;
}
#en .slide_card h2, #en .slide_card h2 span {
  --txtS: calc(var(--txt_l) - 9px);
  letter-spacing: 0;
  text-transform: unset;
}
#en .slide_card h2 span {
  --txtS: var(--txt_l);
  letter-spacing: 0;
}


.slide_card:hover img{
  transform: translate(-50%, -50%) scale(1.1);
  filter: unset;
}
.slide_card:hover h2, .slide_card:hover::before{
  opacity: 1;
}
.slide_card:hover::before{
  left: 0;
}
.swiper-pagination {
  display: none;
}

@media (max-width: 1200px) {
  .slider_section {
    padding: 0 32px;
  }
}

@media (max-width: 768px) {
  #event .title{
    left: 50%;
    transform: translateX(-50%);
  }
  .slider_section {
    padding: 0 20px;
  }
  .swiper-slide {
    max-height: 600px;
  }
}

/*---------------------------------------
   Feature
-----------------------------------------*/
#weapon{
  background: white;
  padding-top: 0;
  padding-bottom: 0;
}
.wpbtn_wrapper{
  position: relative;
  width: 100%;
  max-width: 100vw;
  padding: 2vw;
  background: white;
  overflow: hidden;
}
.wpbtn_wrapper::-webkit-scrollbar {
  display: none;
}

.wpbtn_wrapper::before{
  position: absolute;
  content: "";
  width: 100%;
  height: 50px;
  top: 100%;
  background: linear-gradient(to bottom, white, rgba(0,0,0,0));
}
.btn_wp{
  position: relative;
  width: 309px;
  max-width: calc(100% / 6);
  aspect-ratio: 309/132;
  background: url(../img/feature/btn_wp.png) center no-repeat;
  background-size: cover;
  filter: saturate(.3);
}
.btn_wp p{
  --txtS: 3.5vw;
  position: absolute;
  right: 0;
  bottom: 0;
  font-family: var(--tltfont);
  font-size: var(--txtS);
  line-height: var(--txtS);
  text-transform: uppercase;
  color: #ecf8ff;
  opacity: .35;
  margin: 0;
  user-select: none;
  pointer-events: none;
}
.btn_wp:hover, .btn_wp.active{
  filter: unset;
}
.btn_wp::before{
  position: absolute;
  content: "";
  width: 55%;
  height: 65%;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  mix-blend-mode: screen;
}
#blade-tab::before{
  max-height: 46px;
  background: url(../img/feature/w1.png) center no-repeat;
  background-size: contain;
}
#sword-tab::before{
  max-height: 71px;
  background: url(../img/feature/w2.png) center no-repeat;
  background-size: contain;
}
#fist-tab::before{
  max-height: 76px;
  background: url(../img/feature/w3.png) center no-repeat;
  background-size: contain;
}
#bow-tab::before{
  max-height: 105px;
  background: url(../img/feature/w4.png) center no-repeat;
  background-size: contain;
}
#dart-tab::before{
  max-height: 82px;
  background: url(../img/feature/w5.png) center no-repeat;
  background-size: contain;
}
#spear-tab::before{
  max-height: 57px;
  background: url(../img/feature/w6.png) center no-repeat;
  background-size: contain;
}

.wpContent{
  position: relative;
  width: 100%;
  aspect-ratio: 1920 / 700;
  background: url(../img/bg_white.jpg) center no-repeat;
  background-size: cover;
  display: flex;
  align-items: flex-end;
  justify-content: flex-end;
  padding: 0 5vw;
  overflow: hidden;
}

.wpContent::before{
  position: absolute;
  content: "";
  width: 55%;
  height: 100%;
  right: 0;
  top: 0;
  background: linear-gradient(to left,white, rgba(0,0,0,0) );
  mix-blend-mode: screen;
}

.wpContent span {
  position: absolute;
  max-width: 28vw;
  max-height: 100%;
  top: 5%;
  left: -2vw;
  pointer-events: none;
  mix-blend-mode: multiply;
  opacity: .75;
  animation: popin .35s forwards;
}

#blade span{
  width: 323px;
  aspect-ratio: 323 / 432;
  background: url(../img/feature/t1.png) center no-repeat;
  background-size: contain;
}
#sword span{
  width: 303px;
  aspect-ratio: 303 / 494;
  background: url(../img/feature/t2.png) center no-repeat;
  background-size: contain;
}
#fist span{
  width: 430px;
  aspect-ratio: 430 / 475;
  background: url(../img/feature/t3.png) center no-repeat;
  background-size: contain;
}
#bow span{
  width: 237px;
  aspect-ratio: 237 / 367;
  background: url(../img/feature/t4.png) center no-repeat;
  background-size: contain;
}
#dart span{
  width: 311px;
  aspect-ratio: 311 / 656;
  background: url(../img/feature/t5.png) center no-repeat;
  background-size: contain;
}
#spear span{
  width: 382px;
  aspect-ratio: 382 / 388;
  background: url(../img/feature/t6.png) center no-repeat;
  background-size: contain;
}

.wpContent h1{
  --txtS: 3vw;
  font-family: var(--tltfont);
  font-size: var(--txtS);
  line-height: var(--txtS);
  font-weight: 500;
  margin-bottom: 15px;
}

.wpContent p{
  font-family: var(--font2);
  font-weight: 500;
  font-size: .85vw;
  line-height: 1.15vw;
}

.wp_info{
  width: 560px;
  max-width: 30vw;
  padding: 2vw;
  z-index: 10;
}

.wpChar{
  position: absolute;
  width: 50%;
  max-height: 85%;
  aspect-ratio: 863/677;
  z-index: 5;
  bottom: 2%;
  left: 50%;
  transform: translateX(-50%);
  animation: fadein 1s forwards;
}
#blade .wpChar{
  background: url(../img/feature/c1.png) center no-repeat;
  background-size: contain;
}
#sword .wpChar{
  background: url(../img/feature/c2.png) center no-repeat;
  background-size: contain;
}
#fist .wpChar{
  background: url(../img/feature/c3.png) center no-repeat;
  background-size: contain;
}
#bow .wpChar{
  background: url(../img/feature/c4.png) center no-repeat;
  background-size: contain;
}
#dart .wpChar{
  background: url(../img/feature/c5.png) center no-repeat;
  background-size: contain;
}
#spear .wpChar{
  background: url(../img/feature/c6.png) center no-repeat;
  background-size: contain;
}


@media only screen and (max-width: 768px) {
  #weapon{
    gap: 0;
  }
  .wpContent{
    position: relative;
    width: 100%;
    aspect-ratio: 768 / 1000;
    padding: 0;
  }
  .wpbtn_wrapper{
    max-width: 100vw;
    overflow-x: auto;
    justify-content: flex-start !important;
    padding: 2vw 5vw;
  } 
  .wpbtn_wrapper::before{
    content: none;
  }
  .btn_wp{
    max-width: unset;
    height: 65px;
  }
  .btn_wp p{
    --txtS: 10vw;
  }
  .wpContent span{
    max-width: 50vw;
    top: 2vw;
    transform: unset;
  }
  .wpContent h1{
    --txtS: 5.5vw;
    font-size: var(--txtS);
    line-height: var(--txtS);
  }
  .wpContent p {
    font-size: 3.5vw;
    line-height: 4vw;
  }
  .wp_info{
    width: 100%;
    max-width: 100vw;
    background: linear-gradient(to top, white 70%, rgba(0,0,0,0));
    padding: 10vw 5vw;
    padding-bottom: 0;
  }
  .wpChar{
    min-width: 100%;
    width: auto;
    height: 100%;
    bottom: unset;
    top: 5vw;
    transform: translateX(-40%);
  }
  .wp_detail{
    display: none;
  }
}

#feature *{
 z-index: 5;
}

#carouselFeature{
  width: 760px;
  max-width: 95vw;
}

.user_wrapper{
  position: absolute;
  width: fit-content;
  height: 100%;
  max-height: fit-content;
  z-index: 999;
  top: 3%;
  left: 0;
}
.user_wrapper, .user_wrapper p, .user_wrapper span{
  font-family: 'Courier New', Courier, monospace;
  font-size: 12px; 
  line-height: 12px;
  margin: 0;
  color: var(--black);
  text-wrap: nowrap;
}
.user_wrapper{
  max-width: 95vw;
  background: rgba(128, 128, 128, .35);
  padding: 10px 20px;
  padding-bottom: 12px;
  border-radius: 999px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  align-self: flex-start;
}
.user_wrapper .user_email, .user_wrapper a{
  display: none;
}

.user_info{
  position: relative;
}
.user_wrapper.login .user_info::after{
  content: "|";
}

.user_wrapper a:hover, .user_wrapper.login button:hover{
  color: var(--active);
}

.user_wrapper.login .user_email, .user_wrapper.login a{
  display: unset;
}
.user_wrapper.login .user_status{
  display: none;
}

